---
name: Illya Klymov
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/engineering/development/frontend/">Senior
  Frontend Engineer</a>, Govern:Compliance
reports_to: nrosandich
picture: illyaklymov.jpg
twitter: xanf_ua
gitlab: xanf
departments:
- Engineering Function
- Development Department
- Sec Section
- Govern:Compliance FE Team
- Govern:Compliance Fullstack Team
- Frontend
- Merge Request Coach
expertise: |
  <li><a href="https://handbook.gitlab.com/job-families/expert/merge-request-coach/">Merge Request Coach</a></li>
  <li><a href="https://docs.gitlab.com/ee/api/graphql">GraphQL</a> <a href="/company/team/structure/#expert">expert</a></li>
domain_expertise:
- frontend_testing
- vue
- frontend_graphql
story: |
  Despite doing JavaScript for more than a decade, Illya is still in love with
  coding. He joined GitLab after running his own company for several years to focus
  more on development activities. He does a lot of public speaking and his primary
  interests are performance, static typing and building maintainable code. During
  his free time he is teaching JavaScript for fun and profit
projects:
  gitlab: maintainer frontend
specialty: 'Govern: Compliance'

